# std Namespace Reference

Declaring the traits for SupportIterator, according to the STL. More...

## Classes

class | insert_iterator< vcsn::misc::Bitset >
| Specialized insert_iterator. More...

## Functions

template<typename S , typename T1 , typename T2 >
void | swap (vcsn::Element< S, T1 > &e1, vcsn::Element< S, T2 > &e2)
| Swap to Element instances with the same structure.
template<typename S , typename T >
void | swap (vcsn::Element< S, T > &e1, T &v2)
| Swap between Element and foreign values (left).
template<typename T , typename S >
void | swap (T &v1, vcsn::Element< S, T > &e2)
| Swap between Element and foreign values (right).
template<>
void | swap (vcsn::misc::Bitset &lhs, vcsn::misc::Bitset &rhs)
| Specialized swap.

## Detailed Description

Declaring the traits for SupportIterator, according to the STL.